package com.bonus.canteen.core.notice.print.v2.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.notice.print.v2.dto.NoticePrintSceneTemplateDTO;
import com.bonus.canteen.core.notice.print.v2.dto.NoticePrintTemplateAddDTO;
import com.bonus.canteen.core.notice.print.v2.dto.NoticePrintTemplateUpdateDTO;
import com.bonus.canteen.core.notice.print.v2.model.NoticePrintTemplate;
import com.bonus.canteen.core.notice.print.v2.vo.NoticePrintSceneTemplateVO;
import com.bonus.canteen.core.notice.print.v2.vo.NoticePrintTemplateVO;

import java.util.List;
import java.util.Map;

public interface NoticePrintTemplateService extends IService<NoticePrintTemplate> {
   Map<String, List<NoticePrintTemplateVO>> findPrintTemplateListByPrintModel(String printModel);

   List<NoticePrintSceneTemplateVO> getNoticePrintSceneTemplateList(NoticePrintSceneTemplateDTO content);

   void addNoticePrintTemplate(NoticePrintTemplateAddDTO content);

   void updateNoticePrintTemplate(NoticePrintTemplateUpdateDTO content);

   NoticePrintTemplateVO getNoticePrintTemplateVO(Long templateId);

   void deleteNoticePrintTemplate(Long templateId);
}
